Subject: Re: [Beowulf] CCL:running GAMESS using Beowulf cluster (fwd from orbital_jc^at^yahoo.co.uk) (fwd from jmdavis^at^mail2.vcu.edu)

From: Eugen Leitl <eugen^at^leitl.org>
Date: Sat, 22 May 2004 10:49:57 +0200

----- Forwarded message from Mike Davis <jmdavis^at^mail2.vcu.edu> -----

From: Mike Davis <jmdavis^at^mail2.vcu.edu>
Date: Fri, 21 May 2004 20:37:39 -0400
To: Eugen Leitl <eugen^at^leitl.org>, beowulf^at^beowulf.org
Subject: Re: [Beowulf] CCL:running GAMESS using Beowulf cluster (fwd from
 orbital_jc^at^yahoo.co.uk)
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.4) Gecko/20030624

I had one of the gamess linux MPI port people (Charles Castevens) 
working for me and we still had problems with the mpi version of gamess. 
We wound up using the sockets version along with a script to submit the 
jobs to pbs. For this to work you should have gamess (preferably 
installed in a common location on each node), PBS up and running (a far 
bigger task usually), modified comp files and rungms, and a script to 
handle pbs submission. I'm sorry but we never had nearly the time 
required to do a step by step guide.

I will attach a copy of the script and note the modifications:
******************
script:

#!/bin/tcsh -f
# $cwd   -- current working directory
# $0     -- program name  and path to its location
# $1     -- gamess version
# $2     -- input file name  -- w/o inp
# $3     -- nodes  (optional)
# $4    -- queue (optional)
#
set wd = $cwd
set version = $1
set name = $2
if (null$version == null ) goto usage
if (null$name == null ) goto usage
set nodes = $3
if (null$nodes == null) set nodes=1
set queue = $4
if (null$queue == null ) set queue=p2p
cat <<END >${name}.job
#!/bin/csh -f
#PBS -q $queue
#PBS -l nodes=$nodes
#alias gms       "/usr/local/gamess/seqgms"
echo "Starting GAMESS with file $name at \`date\` on \`hostname\`"
cd $wd
#printenv
/usr/u2/gamess16feb02r1/new_rungms  $name $version $nodes >& $name.log
mail $USER < ${name}.err
mv /scr/$USER/$name.dat ~/scr/$name.dat
mv /scr/$USER/$name.irc ~/scr/$name.irc
echo "GAMESS Done with status \$status at \`date\` on \`hostname\`"
END
chmod u+x ${name}.job
# submit the new script
qsub ${name}.job
#nohup ./${name}.job >& ${name}.err &
unalias rm
#rm $name.job
echo "Success!"
exit

**************************
rungms mods:

if ( `hostname` == "nameofyourcluster" ) then
echo "creating hostlist using PBS environment PBS_NODEFILE:"
echo $PBS_NODEFILE
cat $PBS_NODEFILE
set HOSTLIST='hostname'
#
# get the actual value of hostname via rsh for gamess
#
foreach i (`cat $PBS_NODEFILE`)
 if ( $i != "hydra1.vcu.edu" )
  set HOSTLIST=($HOSTLIST `rsh $i hostname`)
 end
#
# if we are not on node001 and we are using more than 1 node
#   build a hostlist and use rsh to get the actual value returned
#   by hostname
#
 else if ( -e $PBS_NODEFILE ) then
  echo "creating hostlist using PBS environment PBS_NODEFILE:"
  cat $PBS_NODEFILE
# zero out HOSTLIST
  set HOSTLIST=''
# get the actual value of hostname via rsh for gamess
  foreach i (`cat $PBS_NODEFILE`)
   set HOSTLIST=($HOSTLIST `rsh $i hostname`)
  end
endif

Eugen Leitl wrote:

>----- Forwarded message from Jeff C <orbital_jc^at^yahoo.co.uk> -----
>
>From: Jeff C <orbital_jc^at^yahoo.co.uk>
>Date: Fri, 21 May 2004 16:12:20 +0100 (BST)
>To: CHEMISTRY^at^ccl.net
>Subject: CCL:running GAMESS using Beowulf cluster 
>
>Dear Comp Chem Experts,
>
>I am new to this field so I will apologize in advance
>if the following question is too trivial to the
>skilled researchers. 
>
>Currently I am trying to learn how to use gamess. The
>procedure is simple when comes to running gamess with
>single CPU. However, I am clueless when trying to run
>gamess on our newly built 16 nodes Beowulf cluster
>using MPI. I hope someone out there can give me the
>step-by-step guide.
>
>Much appreciated.
>
>Jeff Chen   
>
>
>
>	
>	
>		
>____________________________________________________________
>Yahoo! Messenger - Communicate instantly..."Ping" 
>your friends today! Download Messenger Now 
>http://uk.messenger.yahoo.com/download/index.html
>
>
>-= This is automatically added to each message by the mailing script =-
>To send e-mail to subscribers of CCL put the string CCL: on your Subject: 
>line
>and send your message to:  CHEMISTRY^at^ccl.net
>
>Send your subscription/unsubscription requests to: 
>CHEMISTRY-REQUEST^at^ccl.net HOME Page: http://www.ccl.net   | Jobs Page: 
>http://www.ccl.net/jobs 
>If your mail is bouncing from CCL.NET domain send it to the maintainer:
>Jan Labanowski,  jlabanow^at^nd.edu (read about it on CCL Home Page)
>-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
>
>
>
>
>----- End forwarded message -----
> 
>
>------------------------------------------------------------------------
>
>_______________________________________________
>Beowulf mailing list, Beowulf^at^beowulf.org
>To change your subscription (digest mode or unsubscribe) visit 
>http://www.beowulf.org/mailman/listinfo/beowulf
> 
>

----- End forwarded message -----
-- 
Eugen* Leitl <a href="http://leitl.org">leitl</a>
______________________________________________________________
ICBM: 48.07078, 11.61144            http://www.leitl.org
8B29F6BE: 099D 78BA 2FD3 B014 B08A  7779 75B0 2443 8B29 F6BE
http://moleculardevices.org         http://nanomachines.net